Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454347 - lircd crashes when gnome-lirc-properties connects (Intel Mac Mini)
Summary: lircd crashes when gnome-lirc-properties connects (Intel Mac Mini)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: lirc
Version: 10
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jarod Wilson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-07 21:07 UTC by Will Woods
Modified: 2016-05-31 20:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 06:14:15 UTC


Attachments (Terms of Use)

Description Will Woods 2008-07-07 21:07:48 UTC
On my Mac Mini, when gnome-lirc-properties starts, lircd gets a SIGSEGV and
crashes. 

I haven't done anything to configure lircd other than starting the lirc service.

Here's the backtrace:

(gdb) bt full
#0  0x00132416 in __kernel_vsyscall ()
No symbol table info available.
#1  0x002475f0 in raise (sig=15) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
	resultvar = <value optimized out>
	pid = 3715060
	selftid = 6336
#2  0x0804b9d6 in add_client (sock=4) at lircd.c:521
	fd = 6
	clilen = 2
	client_addr = {sa_family = 1, 
  sa_data = "��Pd\022\000\001\000\000\000�}/"}
	flags = <value optimized out>
#3  0x0804e8b9 in waitfordata (maxusec=0) at lircd.c:1981
	fds = {fds_bits = {16, 0 <repeats 31 times>}}
	maxfd = <value optimized out>
	i = 2
	ret = 2
	reconnect = 0
	tv = {tv_sec = 0, tv_usec = 296000}
	start = {tv_sec = 1215464722, tv_usec = 664652}
	now = {tv_sec = 1215464723, tv_usec = 369094}
	release_time = {tv_sec = 0, tv_usec = 0}
#4  0x0804e9d4 in loop () at lircd.c:2005
	message = 0xbfb462a8 " �\004\b"
#5  0x0804ef51 in main (argc=1, argv=0xbfb463e4) at lircd.c:2272
	act = {__sigaction_handler = {sa_handler = 0x804a820 <sighup>, 
    sa_sigaction = 0x804a820 <sighup>}, sa_mask = {__val = {
      0 <repeats 32 times>}}, sa_flags = 268435456, sa_restorer = 0}
	nodaemon = 0
	permission = <value optimized out>
	device = 0x0
	long_options = {{name = 0x8066978 "help", has_arg = 0, flag = 0x0, 
    val = 104}, {name = 0x806697d "version", has_arg = 0, flag = 0x0, 
    val = 118}, {name = 0x8066985 "nodaemon", has_arg = 0, flag = 0x0, 
    val = 110}, {name = 0x806698e "permission", has_arg = 1, flag = 0x0, 
    val = 112}, {name = 0x8066999 "driver", has_arg = 1, flag = 0x0, 
    val = 72}, {name = 0x806847d "device", has_arg = 1, flag = 0x0, 
    val = 100}, {name = 0x80669a0 "listen", has_arg = 2, flag = 0x0, 
    val = 108}, {name = 0x80669a7 "connect", has_arg = 1, flag = 0x0, 
    val = 99}, {name = 0x80669af "output", has_arg = 1, flag = 0x0, 
    val = 111}, {name = 0x80669b6 "pidfile", has_arg = 1, flag = 0x0, 
    val = 80}, {name = 0x80669be "release", has_arg = 2, flag = 0x0, 
    val = 114}, {name = 0x80669c6 "allow-simulate", has_arg = 0, flag = 0x0, 
    val = 97}, {name = 0x0, has_arg = 0, flag = 0x0, val = 0}}

It's really easy to reproduce, so just ask if you need further info.

Comment 1 Bastien Nocera 2008-10-14 20:30:42 UTC
Any chance you could run lircd under valgrind instead of by hand? Would give us a better view of what the problem is...

Comment 2 Bug Zapper 2008-11-26 02:31:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-11-18 12:35:49 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-12-18 06:14:15 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.